<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::Detail Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Detail.html">Detail</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Catch::Detail Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Detail_1_1EnumInfo.html">EnumInfo</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Detail_1_1IsStreamInsertable.html">IsStreamInsertable</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ac5d6c510e565ee5bddcc2236194ce29e"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Detail.html#ac5d6c510e565ee5bddcc2236194ce29e">rawMemoryToString</a> (const void *object, std::size_t size)</td></tr>
<tr class="separator:ac5d6c510e565ee5bddcc2236194ce29e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a371620ed524abfcae5c3772bf49b563a"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a371620ed524abfcae5c3772bf49b563a"><td class="memTemplItemLeft" align="right" valign="top">std::string&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Detail.html#a371620ed524abfcae5c3772bf49b563a">rawMemoryToString</a> (const T &amp;object)</td></tr>
<tr class="separator:a371620ed524abfcae5c3772bf49b563a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a242396de537c5176710d680cc9ca6b93"><td class="memTemplParams" colspan="2">template&lt;typename E &gt; </td></tr>
<tr class="memitem:a242396de537c5176710d680cc9ca6b93"><td class="memTemplItemLeft" align="right" valign="top">std::string&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Detail.html#a242396de537c5176710d680cc9ca6b93">convertUnknownEnumToString</a> (E e)</td></tr>
<tr class="separator:a242396de537c5176710d680cc9ca6b93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa064ddb2127a587f180b76a188ab909c"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:aa064ddb2127a587f180b76a188ab909c"><td class="memTemplItemLeft" align="right" valign="top">std::enable_if&lt; !std::is_enum&lt; T &gt;::value &amp;&amp;!std::is_base_of&lt; std::exception, T &gt;::value, std::string &gt;::type&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Detail.html#aa064ddb2127a587f180b76a188ab909c">convertUnstreamable</a> (T const &amp;)</td></tr>
<tr class="separator:aa064ddb2127a587f180b76a188ab909c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82578dbd2b926412991ce4aba1250f24"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a82578dbd2b926412991ce4aba1250f24"><td class="memTemplItemLeft" align="right" valign="top">std::enable_if&lt; !std::is_enum&lt; T &gt;::value &amp;&amp;std::is_base_of&lt; std::exception, T &gt;::value, std::string &gt;::type&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Detail.html#a82578dbd2b926412991ce4aba1250f24">convertUnstreamable</a> (T const &amp;ex)</td></tr>
<tr class="separator:a82578dbd2b926412991ce4aba1250f24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5310e4687d8c000e7911b91164756e6"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:af5310e4687d8c000e7911b91164756e6"><td class="memTemplItemLeft" align="right" valign="top">std::enable_if&lt; std::is_enum&lt; T &gt;::value, std::string &gt;::type&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Detail.html#af5310e4687d8c000e7911b91164756e6">convertUnstreamable</a> (T const &amp;value)</td></tr>
<tr class="separator:af5310e4687d8c000e7911b91164756e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0ad48344ffd3f92f3568465248a9880"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:af0ad48344ffd3f92f3568465248a9880"><td class="memTemplItemLeft" align="right" valign="top">std::string&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Detail.html#af0ad48344ffd3f92f3568465248a9880">stringify</a> (const T &amp;e)</td></tr>
<tr class="separator:af0ad48344ffd3f92f3568465248a9880"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac954cf158347a76a5b0c3f4fa9a9fa52"><td class="memTemplParams" colspan="2">template&lt;typename InputIterator , typename Sentinel  = InputIterator&gt; </td></tr>
<tr class="memitem:ac954cf158347a76a5b0c3f4fa9a9fa52"><td class="memTemplItemLeft" align="right" valign="top">std::string&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Detail.html#ac954cf158347a76a5b0c3f4fa9a9fa52">rangeToString</a> (InputIterator first, Sentinel last)</td></tr>
<tr class="separator:ac954cf158347a76a5b0c3f4fa9a9fa52"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a466775f4eec29ffef29ab334cd885136"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Detail.html#a466775f4eec29ffef29ab334cd885136">unprintableString</a></td></tr>
<tr class="separator:a466775f4eec29ffef29ab334cd885136"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a242396de537c5176710d680cc9ca6b93"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a242396de537c5176710d680cc9ca6b93">&#9670;&nbsp;</a></span>convertUnknownEnumToString()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename E &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">std::string Catch::Detail::convertUnknownEnumToString </td>
          <td>(</td>
          <td class="paramtype">E&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa064ddb2127a587f180b76a188ab909c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa064ddb2127a587f180b76a188ab909c">&#9670;&nbsp;</a></span>convertUnstreamable() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">std::enable_if&lt; !std::is_enum&lt; T &gt;::value &amp;&amp;!std::is_base_of&lt; std::exception, T &gt;::value, std::string &gt;::type Catch::Detail::convertUnstreamable </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a82578dbd2b926412991ce4aba1250f24"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82578dbd2b926412991ce4aba1250f24">&#9670;&nbsp;</a></span>convertUnstreamable() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">std::enable_if&lt; !std::is_enum&lt; T &gt;::value &amp;&amp;std::is_base_of&lt; std::exception, T &gt;::value, std::string &gt;::type Catch::Detail::convertUnstreamable </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>ex</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af5310e4687d8c000e7911b91164756e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5310e4687d8c000e7911b91164756e6">&#9670;&nbsp;</a></span>convertUnstreamable() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">std::enable_if&lt; std::is_enum&lt; T &gt;::value, std::string &gt;::type Catch::Detail::convertUnstreamable </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac954cf158347a76a5b0c3f4fa9a9fa52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac954cf158347a76a5b0c3f4fa9a9fa52">&#9670;&nbsp;</a></span>rangeToString()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename InputIterator , typename Sentinel  = InputIterator&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">std::string Catch::Detail::rangeToString </td>
          <td>(</td>
          <td class="paramtype">InputIterator&#160;</td>
          <td class="paramname"><em>first</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Sentinel&#160;</td>
          <td class="paramname"><em>last</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a371620ed524abfcae5c3772bf49b563a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a371620ed524abfcae5c3772bf49b563a">&#9670;&nbsp;</a></span>rawMemoryToString() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">std::string Catch::Detail::rawMemoryToString </td>
          <td>(</td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac5d6c510e565ee5bddcc2236194ce29e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5d6c510e565ee5bddcc2236194ce29e">&#9670;&nbsp;</a></span>rawMemoryToString() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Catch::Detail::rawMemoryToString </td>
          <td>(</td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>object</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::size_t&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af0ad48344ffd3f92f3568465248a9880"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0ad48344ffd3f92f3568465248a9880">&#9670;&nbsp;</a></span>stringify()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">std::string Catch::Detail::stringify </td>
          <td>(</td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a466775f4eec29ffef29ab334cd885136"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a466775f4eec29ffef29ab334cd885136">&#9670;&nbsp;</a></span>unprintableString</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string Catch::Detail::unprintableString</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
